API Reference for Marketo Engage

Create Export Activity Job

POST /bulk/v1/activities/export/create.json

Create export job for search criteria defined via "filter" parameter. Request returns the "exportId" which is passed as a parameter in subsequent calls to Bulk Export Activities endpoints. Use Enqueue Export Activity Job endpoint to queue the export job for processing. Use Get Export Activity Job Status endpoint to retrieve status of export job.

Operation ID
createExportActivitiesUsingPOST
Permissions
Read-Only Activity
Request format
application/json
Returns
ResponseOfExportResponse

Request body

application/json · optional · ExportActivityRequest · 12 properties

columnHeaderNames ColumnHeaderNames

File header field names override (corresponds with REST API name)

Model ColumnHeaderNames

name string required

REST API name for header field

value string required

Value for header field

fields array of string required

Array of strings containing field values. Used to reduce the number of fields contained in export file. Select one or more of: marketoGUID, leadId, activityDate, activityTypeId, campaignId, primaryAttributeValueId, primaryAttributeValue, actionResult

filter ExportActivityFilter required

Record selection criteria. "createdAt" is required, "activityTypeIds", "primaryAttributeValueIds", and "primaryAttributeValues" are optional

Model ExportActivityFilter

activityTypeIds array of integer

List of activity type ids to filter on

primaryAttributeValueIds array of integer

List of primary attribute ids to filter on

primaryAttributeValues array of string

List of primary attribute values to filter on

createdAt DateRange required

Date range to filter new activities on

Model DateRange

endAt string

End of date range filter (ISO 8601-format)

startAt string

Start of date range filter (ISO-8601 format)

format string

File format to create("CSV", "TSV", "SSV"). Default is "CSV"

Responses

200 OK ResponseOfExportResponse
errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string required

Id of the request made

result array of ExportResponse required

Array of results for individual records in the operation, may be empty

Model ExportResponse

createdAt string (date-time)

Date when the export request was created

errorMsg string

Error message in case of "Failed" status

exportId string required

Unique id of the export job

fileSize integer (int64)

Size of exported file in bytes. This will have a value only when status is "Completed", otherwise null

fileChecksum string

SHA-256 hash of exported file. This will have a value only when status is "Completed", otherwise null

finishedAt string (date-time)

Finish time of export job. This will have value only when status is "Completed" or "Failed", otherwise null

format string

Format of file as given in the request ("CSV", "TSV", "SSV")

numberOfRecords integer (int64)

Number of records in the export file. This will have value only when status is "Completed", otherwise null

queuedAt string (date-time)

Queue time of export job. This will have value when "Queued" status is reached, before that null

startedAt string (date-time)

Start time of export job. This will have value when "Processing" status is reached, before that null

status string required

Status of the export job ("Created","Queued","Processing","Canceled","Completed","Failed")

success boolean required

Whether the request succeeded

warnings array of Warning required

Array of warnings given for the operation

Model Warning

code integer (int32) required

Integer code of the warning

message string required

Message describing the warning

Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "createdAt": "2026-01-15T10:30:00Z",
      "errorMsg": "string",
      "exportId": "123",
      "fileSize": 123,
      "fileChecksum": "string",
      "finishedAt": "2026-01-15T10:30:00Z",
      "format": "string",
      "numberOfRecords": 123,
      "queuedAt": "2026-01-15T10:30:00Z",
      "startedAt": "2026-01-15T10:30:00Z",
      "status": "string"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Generated from swagger-mapi.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results